> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/custom-apps-development-training/version-1-api-key.md).

# Version 1 (API key)

## Authentication

The App Academy API version 1 uses the API Key authorization. You need the `x-api-key` which you can obtain in this [form](https://airtable.com/apptuF9ohhm4eho3M/shrXXIuflEJFXaUPP).

## Pagination

Since the App Academy API was built for educational purposes, the following types of pagination were used:

* **offset** based
* **page** based
* **has more items** based

## Endpoints

### About

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/about" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### Movies

Each user is granted access to 6 default records that cannot be updated or deleted.

Each user can create up to 14 records, resulting in a total of 20 retrievable records.

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/movies" method="post" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/movies" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/movies/{id}" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/movies/{id}" method="put" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/movies/{id}" method="patch" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/movies/{id}" method="delete" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### People

The query (parameter `q` ) has to be written in this format:

* all the conditions can be grouped by operator `AND`
* the value in each condition has to be enclosed in quotation marks
* supported conditions:
  * `contains`
  * `startsWith`
  * `endsWith`
  * `equal`
* multiple conditions can be used multiple times within one query

example:

```
contains= "Rob" AND startsWith = "Rob" AND endsWith = "Jr."
```

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/people" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### Organizations

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/organizations" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### Genres

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/genres" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### Awards

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/awards/{movieId}" method="get" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### Webhooks

Each user can create 1 webhook.

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/webhooks" method="post" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

{% openapi src="/files/SC5xZuz28nUwbI0WFOmm" path="/webhooks/{id}" method="delete" %}
[make-custom\_app\_academy\_api-v1.json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FjdhKa2tPyJM2t28x3ysa%2Fmake-custom_app_academy_api-v1.json?alt=media\&token=d2f10311-cb4e-4115-bc3e-7a01edc5765f)
{% endopenapi %}

### Files

{% openapi src="/files/7upavy9H2hVXIyZBcGO2" path="/files" method="get" %}
[TKLOBOUCKOVA-custom-academy-1.0.0-resolved (1).json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FLuPLiJsZjtSTYKS1F6Sg%2FTKLOBOUCKOVA-custom-academy-1.0.0-resolved%20\(1\).json?alt=media\&token=8198775f-c7a6-47a8-bf85-aef4aceda10f)
{% endopenapi %}

{% openapi src="/files/7upavy9H2hVXIyZBcGO2" path="/files/{id}/export" method="get" %}
[TKLOBOUCKOVA-custom-academy-1.0.0-resolved (1).json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FLuPLiJsZjtSTYKS1F6Sg%2FTKLOBOUCKOVA-custom-academy-1.0.0-resolved%20\(1\).json?alt=media\&token=8198775f-c7a6-47a8-bf85-aef4aceda10f)
{% endopenapi %}

{% openapi src="/files/7upavy9H2hVXIyZBcGO2" path="/files/import" method="post" %}
[TKLOBOUCKOVA-custom-academy-1.0.0-resolved (1).json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FLuPLiJsZjtSTYKS1F6Sg%2FTKLOBOUCKOVA-custom-academy-1.0.0-resolved%20\(1\).json?alt=media\&token=8198775f-c7a6-47a8-bf85-aef4aceda10f)
{% endopenapi %}

{% hint style="info" %}
Please note that the **Import** endpoint does not upload or store any data. Therefore, the file

you provide will not be returned or stored in the **Files** endpoint.
{% endhint %}

### Custom Fields (movie)

{% openapi src="/files/7upavy9H2hVXIyZBcGO2" path="/custom-fields" method="get" %}
[TKLOBOUCKOVA-custom-academy-1.0.0-resolved (1).json](https://3114796191-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgNTg64InL2Ea6QArLuAq%2Fuploads%2FLuPLiJsZjtSTYKS1F6Sg%2FTKLOBOUCKOVA-custom-academy-1.0.0-resolved%20\(1\).json?alt=media\&token=8198775f-c7a6-47a8-bf85-aef4aceda10f)
{% endopenapi %}

{% hint style="info" %}
Please note that values in custom fields are not stored in movie records. Therefore, the

values you provide will not be returned or stored in the **Movies** endpoints.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/custom-apps-development-training/version-1-api-key.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
